> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event

> Gets an event.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json get /v1/accounts/{accountId}/assets/{assetId}/events/{eventId}
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}/assets/{assetId}/events/{eventId}:
    get:
      tags:
        - events
      summary: Get event
      description: Gets an event.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: assetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: eventId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEventResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetEventResponse:
      required:
        - id
        - accountId
        - assetId
        - startedAt
        - type
        - state
        - location
        - resolvedAt
        - resolvedBy
        - disabledUntil
      type: object
      properties:
        id:
          type: string
          format: uuid
        accountId:
          type: string
          format: uuid
        assetId:
          type: string
          format: uuid
        startedAt:
          type: string
          format: date-time
        type:
          $ref: '#/components/schemas/EventType'
        state:
          $ref: '#/components/schemas/EventState'
        location:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Location'
        resolvedAt:
          type:
            - 'null'
            - string
          format: date-time
        resolvedBy:
          type:
            - 'null'
            - string
        disabledUntil:
          type:
            - 'null'
            - string
          format: date-time
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        message:
          type: string
    EventType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
        - 20
        - 21
        - 22
        - 23
        - 24
        - 25
        - 26
      type: integer
      x-enumDescriptions:
        - Any
        - InputPowerDisconnected
        - InputVoltageLow
        - BatteryLow
        - Jammed
        - MovementStarted
        - MovementStopped
        - IgnitionTurnedOn
        - IgnitionTurnedOff
        - GeofenceEntered
        - GeofenceExited
        - SpeedLimitExceeded
        - AssetLeftBehind
        - FuelLevelLow
        - AdBlueLevelLow
        - AlarmTriggered
        - LockdownViolated
        - Tampering
        - CountryBorderCrossed
        - TemperatureHigh
        - TemperatureLow
        - PressureHigh
        - PressureLow
        - HardCornering
        - EngineIdling
        - EngineSpeedLimitExceeded
    EventState:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      type: integer
      x-enumDescriptions:
        - Accepted
        - Active
        - Ignored
        - Disabled
        - Escalated
        - Unresolved
        - Unconfigured
    Location:
      type: object
      properties:
        address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        name:
          type:
            - 'null'
            - string
          description: >-
            The well-known name of the location, or the name of a geofence that
            was entered or exited.
    Address:
      required:
        - country
        - region
        - place
        - postalCode
        - subdivision
        - streetName
        - streetNumber
      type: object
      properties:
        country:
          type: string
        region:
          type:
            - 'null'
            - string
        place:
          type:
            - 'null'
            - string
        postalCode:
          type:
            - 'null'
            - string
        subdivision:
          type:
            - 'null'
            - string
        streetName:
          type:
            - 'null'
            - string
        streetNumber:
          type:
            - 'null'
            - string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````